{
  "name": "Tareas",
  "body": [
    {
      "url": "quo/Engine?paquete=std&clase=Std&metodo=$(metodo)&data=&parametros=$(parametros)",
      "formData": {
        "metodo": "$(metodoUrl)",
        "parametros": {
          "tabla": "wftar",
          "tablaHijo": "",
          "campoId": "TarId",
          "cabe": "[$(resultData)]"
        }
      },
      "useUserIdLocalStorage": "usrId",
      "cantColumnasAncho": 3,
      "componente": "GenericForm",
      "cerrarAlConfirmarOK": true,
      "mensajeExitoso": "La Tarea $(accion) exitosamente",
      "mensajeError": "La Tarea no puede ser $(accion)",
      "fields": [
        {
            "visible": true,
            "esId": true,
            "name": "TarId",
            "disabled": false,
            "label": "Identificador",
            "validations": {
              "minLength": {
                "message": "La cantidad de digitos debe ser mayor a 0",
                "value": 0
              },
              "required": "El campo Identificador es requerido",
              "maxLength": {
                "message": "La cantidad de digitos debe ser menor a 11",
                "value": 11
              }
            },
            "type": "number"
          },
          {
            "visible": true,
            "name": "TarNom",
            "disabled": false,
            "label": "Nombre Tarea",
            "validations": {
              "minLength": {
                "message": "El largo del valor ingresado debe ser mayor a 0",
                "value": 0
              },
              "required": "El campo Nombre Tarea es requerido",
              "maxLength": {
                "message": "El largo del valor ingresado debe ser menor a 254",
                "value": 254
              }
            },
            "type": "text"
          },
          {
            "visible": true,
            "name": "TarAbr",
            "disabled": false,
            "label": "Abreviatura",
            "validations": {
              "minLength": {
                "message": "El largo del valor ingresado debe ser mayor a 0",
                "value": 0
              },
              "required": "El campo Abreviatura es requerido",
              "maxLength": {
                "message": "El largo del valor ingresado debe ser menor a 3",
                "value": 3
              }
            },
            "type": "text"
          },
          {
            "visible": true,
            "name": "TarTip",
            "disabled": false,
            "label": "Tipo",
            "tabla": "dmn",
            "id": "DmnAbr",
            "text": "DmnDet",
            "dominio": "TIPTAR",
            "type": "supercombobox",
            "validations": {
              "required": true
            }
          },
          {
            "label": "Rol",
            "name": "RolId",
            "type": "supercombobox",
            "tabla": "wfrol",
            "id": "RolId",
            "text": "RolNom",
            "disabled": false
          },
          {
            "visible": true,
            "name": "TarExe",
            "disabled": false,
            "label": "Ejecutar",
            "type": "text"
          },
          {
            "visible": true,
            "name": "TarExeTip",
            "disabled": false,
            "label": "Tipo",
            "tabla": "dmn",
            "id": "DmnAbr",
            "text": "DmnDet",
            "dominio": "TAREXE",
            "type": "supercombobox",
            "validations": {
              "required": true
            }
          },
          {
            "label": "Proceso Id",
            "name": "TarExeId",
            "type": "supercombobox",
            "tabla": "wfpra",
            "id": "PraId",
            "text": "PrANom",
            "disabled": false,
            "visible": "'$(TarExeTip)' === 'PRC'"
          },
          {
            "label": "Tarea Id",
            "name": "TarExeId",
            "type": "supercombobox",
            "tabla": "tprc",
            "id": "TPrcId",
            "text": "TPrcNom",
            "disabled": false,
            "visible": "'$(TarExeTip)' === 'MTR'"
          },
          {
            "visible": true,
            "name": "TarPar",
            "disabled": false,
            "label": "Parametros",
            "type": "text"
          },
          {
            "visible": true,
            "name": "TarExeApp",
            "disabled": false,
            "label": "TarExeApp",
            "type": "text"
          },
          {
            "visible": true,
            "name": "TarEdit",
            "disabled": false,
            "label": "Es Editable?",
            "type": "checkbox"
          },
          {
            "multiselect": false,
            "visible": true,
            "name": "EmpresaId",
            "tabla": "empresa",
            "disabled": false,
            "label": "Empresa",
            "validations": { "required": "" },
            "text": "empNombre",
            "id": "empId",
            "type": "supercombobox"
          }
      ]
    }
  ]
}
